<template>
  <div>
    <div class="bannerin">
      <img src="../assets/image/contactbanner.png" alt="" />
    </div>
    <div class="menu_sild">
      <div class="container">
        <ul class="clearfix">
          <li @click="changeClickIndex(item)" v-for="item in menuList" :key="item.id">
            <span class="current" :class="{ clickCurrent: clickIndex.id === item.id }">{{
              item.name
            }}</span>
          </li>
        </ul>
      </div>
    </div>
    <div style="text-align: center">
      <p class="brandStory_title">联系方式</p>
      <p class="case_t1">CONTACT US</p>
    </div>
    <div class="addresslist">
      <el-card class="box-card">
        <p class="con_tit con_tit1">昆山公司地址</p>
        <p class="con_tit3">址址：江苏省昆山市东辉路105号</p>
        <p class="con_tit3">电话：0512--36871300</p>
      </el-card>
      <el-card class="box-card">
        <p class="con_tit con_tit1">苏州公司地址</p>
        <p class="con_tit3">址址：江苏省苏州市相城区聚金路38号</p>
        <p class="con_tit3">电话：0512--36871300</p>
      </el-card>
      <el-card class="box-card">
        <p class="con_tit con_tit1">张家港总部地址（在建）</p>
        <p class="con_tit3">址址：江苏省张家港市塘桥镇妙桥商城路</p>
        <p class="con_tit3">电话：0512--36871300</p>
      </el-card>
    </div>
    <onlineContact></onlineContact>
  </div>
</template>

<script setup lang="ts">
import { onMounted, reactive, ref, watch } from 'vue'
import { useRoute } from 'vue-router'
import { useRouter } from 'vue-router'
import onlineContact from '@/components/onlineContact.vue'
// import require from '@/utils/require'
const route = useRoute()
const router = useRouter()
onMounted(() => {
  console.log('router', route)
})
const menuList = reactive([
  {
    id: 0,
    name: '联系方式'
  }
])
const clickIndex = ref(menuList[0])

let changeClickIndex = (item: any) => {
  clickIndex.value = item
}
watch(
  () => router.currentRoute.value.name,
  (newValue: any) => {
    console.log('newValue', newValue)
    // if (newValue === 'product') {
    // }
  },
  { immediate: true }
)
</script>

<style scoped lang="scss">
.bannerin {
  position: relative;
  overflow: hidden;
  img {
    height: 588px;
    object-fit: cover;
    width: 100%;
  }
}
.menu_sild {
  border-bottom: 1px solid #ebebeb;
  .container {
    width: 1270px;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    .clearfix {
      li {
        cursor: pointer;
        display: inline-block;
        .current {
          display: block;
          padding: 0 30px;
          height: 50px;
          line-height: 50px;
          color: #555;
          &:hover {
            color: #ff575a;
            border-bottom: 2px solid #ff575a;
          }
        }
        .clickCurrent {
          color: #ff575a;
          border-bottom: 2px solid #ff575a;
        }
      }
    }
  }
}

.brandStory_title {
  text-align: center;
  font-size: 32px;
  font-weight: bold;
  color: #333;
  display: inline-block;
  border-bottom: 1px solid #cccccc;
  margin: 0 auto 10px;
  padding: 1rem 0 20px;
}

.case_t1 {
  text-align: center;
  color: #666;
  margin-bottom: 40px;
}
.con_tit {
  padding-top: 28px;
  font-size: 20px;
  color: #333;
  line-height: 30px;
  padding-left: 40px;
  margin-left: 50px;
}
.con_tit1 {
  background: url('../assets/image/con_icon1.png') left bottom no-repeat;
}
.con_tit3 {
  font-size: 12px;
  line-height: 24px;
  margin-bottom: 0;
  padding: 0 50px;
}
.addresslist {
  width: 80%;
  margin: 0 auto;
  display: flex;
  justify-content: space-evenly;
  margin-bottom: 50px;
}
.box-card {
  width: 375px;
  height: 271px;
}
</style>
